# CroppingBottomBar class

Configuration of the bottom bar for the cropping screen.

## Constructors

CroppingBottomBar({BarButtonConfiguration? detectButton, BarButtonConfiguration? rotateButton, BarButtonConfiguration? resetButton})
CroppingBottomBar.fromJson(Map<String, dynamic> json)
  factory

## Properties

detectButton ↔ BarButtonConfiguration
  Configuration of the 'detect document' button, located in the bottom bar.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
resetButton ↔ BarButtonConfiguration
  Configuration of the 'reset detection' button, located in the bottom bar.
  getter/setter pair
rotateButton ↔ BarButtonConfiguration
  Configuration of the 'rotate page' button, located in the bottom bar.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited